OPHELP(1)

NAME
ophelp - list OProfile events

SYNOPSIS
ophelp [ options ] [event name]

DESCRIPTION

By default, ophelp lists the available performance counter options. If you give it a symbolic event name, it will return the hardware value (e.g. "ophelp DATA_MEM_REFS").

OPTIONS

--cpu-type / -c
    Show the events for the given numerical CPU type.

--get-cpu-type / -r
    Show the symbolic CPU name.

--xml / -X
    List events in XML format.

--help / -? / --usage
    Show help message.

--version / -v
    Show version.

ENVIRONMENT
No special environment variables are recognised by ophelp.

FILES

$prefix/share/oprofile/
    Event description files used by OProfile.

/var/lib/oprofile/samples/
    The location of the generated sample files.

VERSION

This man page is current for oprofile-0.9.6.

SEE ALSO
/usr/share/doc/oprofile/, oprofile(1)